﻿using FluentValidation;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Contracts.Validators.CallCenter;


public class StartEndTimeDtoValidator : AbstractValidator<StartEndTimeDto>
{
    public StartEndTimeDtoValidator()
    {
        RuleFor(d => d.StartTime).NotEmpty();
        RuleFor(d => d.EndTime).NotEmpty();
    }
}

public class ReportRequiredPagedRequestValidator : AbstractValidator<ReportRequiredPagedRequest>
{
    public ReportRequiredPagedRequestValidator()
    {
        RuleFor(d => d.StartTime).NotEmpty();
        RuleFor(d => d.EndTime).NotEmpty();
    }
}

public class QueryCallListDtoValidator : AbstractValidator<QueryCallListDto>
{
    public QueryCallListDtoValidator()
    {
        RuleFor(d => d.StartTime).NotEmpty();
        RuleFor(d => d.EndTime).NotEmpty();
    }
}
