﻿using Hotline.Application.StatisticalReport.CallReport;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Share.Requests;
using Shouldly;
using SqlSugar.Extensions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Tests.Application;
public class ZiGongCallReportApplicationTest
{
    private readonly ZiGongCallReportApplication _ziGongCallReportApplication;

    public ZiGongCallReportApplicationTest(ZiGongCallReportApplication ziGongCallReportApplication)
    {
        _ziGongCallReportApplication = ziGongCallReportApplication;
    }

    [Fact]
    public async Task QueryCallsDetailInTotal_Test()
    {
        var inDto = new BiQueryCallsDto {
            StartTime = "2024-07-29".ObjToDate(),
            EndTime = "2024-07-29 23:59:59".ObjToDate()
        };
        var (total, items) = await _ziGongCallReportApplication.QueryCallsDetailInTotalAsync(inDto, false);
        total.ShouldNotBe(0);
    }

    [Fact]
    public async Task QuerySeatCall_Test()
    {
        var inDto = new ReportRequiredPagedRequest
        {
            StartTime = "2024-06-01".ObjToDate(),
            EndTime = DateTime.Now
        };

        var result = await _ziGongCallReportApplication.QuerySeatCallAsync(inDto, new CancellationToken());
        result.ShouldNotBeNull();
    }
}
