﻿using Hotline.CallCenter.Calls;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Share.Dtos.TrCallCenter;
using Hotline.Share.Requests;
using SqlSugar;

namespace Hotline.Application.StatisticalReport
{
    public interface ICallReportApplication
    {
        Task<List<BiCallDto>> QueryCallsAsync(BiQueryCallsDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 话务日期明细
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<List<QueryCallsDetailDto>> QueryCallsDetailAsync(BiQueryCallsDto dto);

        /// <summary>
        /// 话务日期明细-呼入总量/接通总量
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<(int, List<CallRecordOutDto>)> QueryCallsDetailInTotalAsync(BiQueryCallsDto dto, bool isAll);

        /// <summary>
        /// 坐席话务统计分析
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<List<BiSeatCallsDto>> QuerySeatCallAsync(ReportRequiredPagedRequest dto, CancellationToken cancellationToken);

        Task<List<QueryCallsDetailDto>> QueryCallsHourDetailAsync(BiQueryCallsDto dto, CancellationToken cancellationToken);
        Task<(int, List<BiSeatSwitchDto>)> QuerySeatSwitchAsync(QuerySeatSwitchRequest dto, CancellationToken requestAborted);
        Task<List<TrCallHourDto>> GetCallHourListAsync(BiQueryHourCallDto dto, CancellationToken requestAborted);
        Task<TotalData<BiSeatSwitchDto>> GetCallListAsync(QueryCallListDto dto, CancellationToken requestAborted);
        Task<List<CallHotLineDto>> GetCallHotLineListAsync(BiQueryGateWayDto dto, CancellationToken requestAborted);
    }
}
