﻿using Hotline.Share.Requests;
using System.ComponentModel.DataAnnotations;

namespace Hotline.Share.Dtos.CallCenter;

public record BiQueryCallsDto : ReportRequiredPagedRequest
{
    /// <summary>
    /// 线路
    /// </summary>
    public string? Line { get; set; }

    /// <summary>
    /// 查询类型 1：呼入总量明细；2：接通总量明细
    /// </summary>
    public string? TypeCode { get; set; } = "1";
}

public record QueryCallListDto : PagedRequest
{
    public DateTime StartTime { get; set; }
    public DateTime EndTime { get; set; }
    public string Type { get; set; }
    public string Source { get; set; }
    public TimeSpan? StartHourTo { get; set; }
}

public class BiQueryHourCallDto : StartEndTimeDto
{

    public string Source { get; set; }
}

public class BiQueryGateWayDto : StartEndTimeDto
{
    public string Gateway { get; set; }
}

public class StartEndTimeDto
{
    public DateTime StartTime { get; set; }
    public DateTime EndTime { get; set; }
}

public class TotalList<T>
{
    public TotalList()
    {

    }
    public TotalList(List<T> list, T total)
    {
        List = list;
        Total = total;
    }

    public T Total { get; set; }
    public List<T> List { get; set; }
}

public class TotalData<T>
{
    public TotalData()
    {

    }
    public TotalData(List<T> list, int total)
    {
        Data = list;
        Total = total;
    }

    public int Total { get; set; }
    public List<T> Data { get; set; }
}