﻿using Hotline.Share.Enums.Push;

namespace Hotline.Share.Dtos.Push
{
    public class MessageDto
    {
        /// <summary>
        /// 消息推送业务
        /// </summary>
        public EPushBusiness PushBusiness { get; set; }

        /// <summary>
        /// 接收姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 接收手机号码
        /// </summary>
        public string TelNumber { get; set; }

        /// <summary>
        /// 外部业务唯一编号
        /// </summary>
        public string? ExternalId { get; set; }

        /// <summary>
        /// 关联工单编号
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 推送平台
        /// </summary>
        public EPushPlatform? PushPlatform { get; set; } = EPushPlatform.Sms;

        /// <summary>
        /// 模板
        /// </summary>
        public string? TemplateCode { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string? Content { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string? Remark { get; set; }

        /// <summary>
        /// 参数
        /// </summary>
        public List<string>? Params { get; set; }
        public bool IsSmsReply { get; set; }
        public string? SmsReplyContent { get; set; }
    }
}
